API ReferenceSSO & Directory Sync
Create SAML Connection
Configure a SAML 2.0 SSO connection.
Endpoint
POST /v1/sso/connections/samlBase URL: https://api-id.avnology.net
Authentication: API Key or OAuth token
Request
curl -X POST "https://api-id.avnology.net/v1/sso/connections/saml" \\
-H "Authorization: Bearer ak_live_..." \\
Response
Returns the appropriate response. See API Overview for format.
Errors
| Status | Code | Description |
|---|---|---|
| 404 | AVNOLOGY_AUTH_901 | Resource not found |
| 403 | AVNOLOGY_AUTH_100 | Insufficient permissions |
Code Examples
JavaScript (fetch)
const response = await fetch('https://api-id.avnology.net/v1/sso/connections/saml', {
method: 'POST',
headers: { 'Authorization': 'Bearer ' + apiKey, 'Content-Type': 'application/json' },
});Python (httpx)
import httpx
response = httpx.request("POST", "https://api-id.avnology.net/v1/sso/connections/saml",
headers={"Authorization": f"Bearer {api_key}"})Go (net/http)
req, _ := http.NewRequestWithContext(ctx, "POST", "https://api-id.avnology.net/v1/sso/connections/saml", nil)
req.Header.Set("Authorization", "Bearer "+apiKey)
resp, err